<template>
  <div class="systemMonitoring_box">
    <div id="gauge_chart1"></div>
  </div>
</template>

<script>
export default {
  data() {
    //这里存放数据
    return { myChart };
  },
  //方法集合
  methods: {
    gaugeChart1() {
      var legendData = ['提交数据量', '提供集成服务量']; //图例

      var indicator = [
        { name: '管道设计部', max: 12288 },
        { name: '站场设计部', max: 12288 },
        { name: '总图室', max: 12288 },
        { name: '勘察室', max: 12288 },
        { name: '土防室', max: 12288 },
        { name: '测量部', max: 12288 },
        { name: '项目部', max: 12288 },
      ];
      var dataArr = [
        {
          value: [10240, 2048, 2048, 5120, 500, 8192, 12288],
          name: legendData[0],
          itemStyle: {
            normal: {
              lineStyle: {
                color: '#4A99FF',
                // shadowColor: '#4A99FF',
                // shadowBlur: 10,
              },
              shadowColor: '#4A99FF',
              shadowBlur: 10,
            },
          },
          areaStyle: {
            normal: {
              // 单项区域填充样式
              color: {
                type: 'linear',
                x: 0, //右
                y: 0, //下
                x2: 1, //左
                y2: 1, //上
                colorStops: [
                  {
                    offset: 0,
                    color: '#BB857A',
                  },
                  {
                    offset: 0.5,
                    color: 'rgba(0,0,0,0)',
                  },
                  {
                    offset: 1,
                    color: '#BB857A',
                  },
                ],
                globalCoord: false,
              },
              opacity: 1, // 区域透明度
            },
          },
          //在拐点处显示数值
          label: {
            show: true,
            formatter: function (params) {
              return params.value;
            },
          },
        },
        {
          value: [120, 100, 80, 20, 5, 80, 200],
          name: legendData[1],
          itemStyle: {
            normal: {
              lineStyle: {
                color: '#03CCDB',
                // shadowColor: '#03CCDB',
                // shadowBlur: 10,
              },
              shadowColor: '#03CCDB',
              shadowBlur: 10,
            },
          },
          areaStyle: {
            normal: {
              // 单项区域填充样式
              color: {
                type: 'linear',
                x: 0, //右
                y: 0, //下
                x2: 1, //左
                y2: 1, //上
                colorStops: [
                  {
                    offset: 0,
                    color: '#03CCDB',
                  },
                  {
                    offset: 0.5,
                    color: 'rgba(0,0,0,0)',
                  },
                  {
                    offset: 1,
                    color: '#03CCDB',
                  },
                ],
                globalCoord: false,
              },
              opacity: 1, // 区域透明度
            },
          },
          //在拐点处显示数值
          label: {
            show: true,
            formatter: function (params) {
              return params.value;
            },
          },
        },
      ];
      var colorArr = ['#BB857A', '#03CCDB']; //颜色
      let option = {
        title: {
          // show: false,
          text: '数据及服务提交',
          // x: "4%",
          textStyle: {
            color: '#fff',
            // fontSize: "22",
          },
          // subtextStyle: {
          //   color: "#90979c",
          //   fontSize: "16",
          // },
        },
        // 图表的位置
        // grid: {
        //   position: "center",
        // },

        color: colorArr,
        legend: {
          orient: 'vertical',
          icon: 'circle', //图例形状
          data: legendData,
          top: 0,
          right: 0,
          itemWidth: 14, // 图例标记的图形宽度。[ default: 25 ]
          itemHeight: 14, // 图例标记的图形高度。[ default: 14 ]
          itemGap: 21, // 图例每项之间的间隔。[ default: 10 ]横向布局时为水平间隔，纵向布局时为纵向间隔。
          textStyle: {
            fontSize: 12,
            color: '#03CCDB',
          },
        },
        radar: {
          // shape: 'circle',
          name: {
            textStyle: {
              color: '#fff',
              fontSize: 12,
            },
          },
          radius: 120,
          nameGap: 2, // 图中工艺等字距离图的距离
          splitNumber: 4, // 网格线的个数
          // center: ["45%", "45%"], // 图的位置

          indicator: indicator,
          splitArea: {
            // 坐标轴在 grid 区域中的分隔区域，默认不显示。
            show: true,
            areaStyle: {
              // 分隔区域的样式设置。
              color: ['rgba(255,255,255,0)', 'rgba(255,255,255,0)'], // 分隔区域颜色。分隔区域会按数组中颜色的顺序依次循环设置颜色。默认是一个深浅的间隔色。
            },
          },
          axisLine: {
            //指向外圈文本的分隔线样式
            lineStyle: {
              color: '#153269',
            },
          },
          splitLine: {
            lineStyle: {
              color: '#113865', // 分隔线颜色
              width: 1, // 分隔线线宽
            },
          },
        },
        series: [
          {
            type: 'radar',
            symbolSize: 4,
            // symbol: 'angle',
            data: dataArr,
          },
        ],
      };

      this.myChart = this.$echarts.init(
        document.getElementById('gauge_chart1')
      );
      this.myChart.setOption(option);
      window.addEventListener('resize', function () {
        this.myChart.resize();
      });
    },
  },
  mounted() {
    this.gaugeChart1();
    this.$bus.$on('resizeEchart', (res) => {
      this.myChart.resize();
    });
  },
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.systemMonitoring_box {
  padding: 20px;

  #gauge_chart1 {
    width: 100%;
    height: 100%;
  }
}
</style>
